# OrtSession.SessionOptions.ExecutionMode (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Enum OrtSession.SessionOptions.ExecutionMode

- java.lang.Object
- - java.lang.Enum<OrtSession.SessionOptions.ExecutionMode>
  - - ai.onnxruntime.OrtSession.SessionOptions.ExecutionMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OrtSession.SessionOptions.ExecutionMode>`

Enclosing class:
  OrtSession.SessionOptions

    public static enum OrtSession.SessionOptions.ExecutionMode
    extends java.lang.Enum<OrtSession.SessionOptions.ExecutionMode>

The execution mode to use. Needs to be kept in sync with the ExecutionMode enum in the C API.

### Enum Constant Summary

Enum Constants
`PARALLEL`
`SEQUENTIAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getID()` Gets the int id used in native code for the execution mode.
`static OrtSession.SessionOptions.ExecutionMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OrtSession.SessionOptions.ExecutionMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SEQUENTIAL

    public static final OrtSession.SessionOptions.ExecutionMode SEQUENTIAL

#### PARALLEL

    public static final OrtSession.SessionOptions.ExecutionMode PARALLEL

### Method Detail

#### values

    public static OrtSession.SessionOptions.ExecutionMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OrtSession.SessionOptions.ExecutionMode c : OrtSession.SessionOptions.ExecutionMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OrtSession.SessionOptions.ExecutionMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getID

    public int getID()

Gets the int id used in native code for the execution mode.

Returns:
  The int id.